allow method to dynamically specify and load additional bastion-based plugins

02/27/2014 03:26 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee:    

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

To add a new UI plugin, two files need to be edited:

engines/bastion/app/assets/javascripts/bastion/bastion.js

engine/bastion/app/assets/javascripts/bastion/bastion.module.js

Having a way to dynamically include plugins (similar to bundler.d/Gemfile.local?) is needed for third party plugin developers.

Associated revisions

Revision 9d5a5949 - 04/04/2014 03:22 PM - Eric Helms

Fixes #4482: Adds manual bootstrapping and modules specification for the Angular app.

Given the boostrap process can only occur once, declaring all our module

requirements in an array and manually bootstrapping provides the ability

to dynamically add modules for inclusion. This in turn will allow secondary

or plugin modules to declare themselves and be included within the greater

application. This can be achived by the following:

BASTION_MODULES.push('myModuleName')

This should not place any requirements on when the JavaScript containing the

module declaration is loaded as long as it is prior to the DOM content being

loaded.

Revision 876baba8 - 04/04/2014 04:57 PM - Eric Helms

Merge pull request #3941 from ehelms/fixes-4482

Fixes #4482: Adds manual bootstrapping and modules specification for the...

Revision 4b4bbb48 - 04/04/2014 07:22 PM - Eric Helms

Fixes #4482: Adds manual bootstrapping and modules specification for the Angular app.

Given the boostrap process can only occur once, declaring all our module

requirements in an array and manually bootstrapping provides the ability

to dynamically add modules for inclusion. This in turn will allow secondary

or plugin modules to declare themselves and be included within the greater

application. This can be achived by the following:

BASTION_MODULES.push('myModuleName')

This should not place any requirements on when the JavaScript containing the

module declaration is loaded as long as it is prior to the DOM content being

loaded.

Revision 7cc5bd6d - 04/04/2014 08:57 PM - Eric Helms

Merge pull request #3941 from ehelms/fixes-4482
Fixes #4482: Adds manual bootstrapping and modules specification for the...

History

#1 - 04/04/2014 09:52 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:4b4bbb48ea7da8b4d1c9e2a0b7125957728212b1.

#2 - 06/06/2014 01:33 PM - Eric Helms

- Triaged set to Yes

#3 - 08/21/2014 02:29 PM - Eric Helms

- translation missing: en.field_release set to 13
